commit:     a316afb3717ffff0090c2fffd23beb88a67bc960
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 15 02:43:07 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Sep 15 20:21:15 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a316afb3

dev-python/paramiko: Remove the server flag

Patching out features like that is not something a distribution should
do, and it keeps creating incompatibilities.  If someone uses paramiko
to build a SSH server, it's on them -- we can't prevent people from
making inline servers either.

Closes: https://bugs.gentoo.org/666619 (wontfix)
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/paramiko/paramiko-4.0.0-r1.ebuild | 63 ++++++++++++++++++++++++++++
 1 file changed, 63 insertions(+)

diff --git a/dev-python/paramiko/paramiko-4.0.0-r1.ebuild 
b/dev-python/paramiko/paramiko-4.0.0-r1.ebuild
new file mode 100644
index 000000000000..2c5358e55dd0
--- /dev/null
+++ b/dev-python/paramiko/paramiko-4.0.0-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="SSH2 protocol library"
+HOMEPAGE="
+       https://www.paramiko.org/
+       https://github.com/paramiko/paramiko/
+       https://pypi.org/project/paramiko/
+"
+SRC_URI="
+       https://github.com/paramiko/paramiko/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="examples"
+
+RDEPEND="
+       >=dev-python/bcrypt-3.2[${PYTHON_USEDEP}]
+       >=dev-python/cryptography-3.3[${PYTHON_USEDEP}]
+       >=dev-python/pynacl-1.5[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_RERUNS=5
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # upstream doesn't really maintain the gssapi support
+       tests/test_gssapi.py
+       tests/test_kex_gss.py
+       tests/test_ssh_gss.py
+)
+
+src_prepare() {
+       local PATCHES=(
+               "${FILESDIR}/${PN}-3.2.0-nih-test-deps.patch"
+       )
+
+       distutils-r1_src_prepare
+
+       # optional dep
+       sed -i -e '/invoke/d' pyproject.toml || die
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       if use examples; then
+               docinto examples
+               dodoc -r demos/*
+       fi
+}

Reply via email to